// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		3831DE412468C6A800D69D5A /* TodoItem.swift in Sources */ = {isa = PBXBuildFile; fileRef = 3831DE3D2468C6A800D69D5A /* TodoItem.swift */; };
		3831DE422468C6A800D69D5A /* StaticData.swift in Sources */ = {isa = PBXBuildFile; fileRef = 3831DE3E2468C6A800D69D5A /* StaticData.swift */; };
		3831DE432468C6A800D69D5A /* ItemProviders.swift in Sources */ = {isa = PBXBuildFile; fileRef = 3831DE3F2468C6A800D69D5A /* ItemProviders.swift */; };
		3831DE442468C6A800D69D5A /* DataCenter.swift in Sources */ = {isa = PBXBuildFile; fileRef = 3831DE402468C6A800D69D5A /* DataCenter.swift */; };
		3871086C2468A5A70053BC05 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 3871086B2468A5A70053BC05 /* AppDelegate.swift */; };
		3871086E2468A5A70053BC05 /* SceneDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 3871086D2468A5A70053BC05 /* SceneDelegate.swift */; };
		387108702468A5A70053BC05 /* ContentView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 3871086F2468A5A70053BC05 /* ContentView.swift */; };
		387108722468A5A80053BC05 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 387108712468A5A80053BC05 /* Assets.xcassets */; };
		387108752468A5A80053BC05 /* Preview Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 387108742468A5A80053BC05 /* Preview Assets.xcassets */; };
		387108782468A5A80053BC05 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 387108762468A5A80053BC05 /* LaunchScreen.storyboard */; };
		389722352468CE8200B9B922 /* todo-items.json in Resources */ = {isa = PBXBuildFile; fileRef = 389722342468CE8200B9B922 /* todo-items.json */; };
		389722392468D1F800B9B922 /* Either.swift in Sources */ = {isa = PBXBuildFile; fileRef = 389722372468D1F800B9B922 /* Either.swift */; };
		3897223A2468D1F800B9B922 /* UIBackgroundTaskScheduler.swift in Sources */ = {isa = PBXBuildFile; fileRef = 389722382468D1F800B9B922 /* UIBackgroundTaskScheduler.swift */; };
		3897223D2468D25E00B9B922 /* TodoList.swift in Sources */ = {isa = PBXBuildFile; fileRef = 3897223C2468D25E00B9B922 /* TodoList.swift */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		3831DE3D2468C6A800D69D5A /* TodoItem.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = TodoItem.swift; sourceTree = "<group>"; };
		3831DE3E2468C6A800D69D5A /* StaticData.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = StaticData.swift; sourceTree = "<group>"; };
		3831DE3F2468C6A800D69D5A /* ItemProviders.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = ItemProviders.swift; sourceTree = "<group>"; };
		3831DE402468C6A800D69D5A /* DataCenter.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = DataCenter.swift; sourceTree = "<group>"; };
		387108682468A5A70053BC05 /* Do It.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = "Do It.app"; sourceTree = BUILT_PRODUCTS_DIR; };
		3871086B2468A5A70053BC05 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		3871086D2468A5A70053BC05 /* SceneDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SceneDelegate.swift; sourceTree = "<group>"; };
		3871086F2468A5A70053BC05 /* ContentView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ContentView.swift; sourceTree = "<group>"; };
		387108712468A5A80053BC05 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		387108742468A5A80053BC05 /* Preview Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = "Preview Assets.xcassets"; sourceTree = "<group>"; };
		387108772468A5A80053BC05 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		387108792468A5A80053BC05 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		389722342468CE8200B9B922 /* todo-items.json */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text.json; path = "todo-items.json"; sourceTree = "<group>"; };
		389722372468D1F800B9B922 /* Either.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = Either.swift; sourceTree = "<group>"; };
		389722382468D1F800B9B922 /* UIBackgroundTaskScheduler.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = UIBackgroundTaskScheduler.swift; sourceTree = "<group>"; };
		3897223C2468D25E00B9B922 /* TodoList.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TodoList.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		387108652468A5A70053BC05 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		3831DE3C2468C6A800D69D5A /* Model */ = {
			isa = PBXGroup;
			children = (
				389722362468D1F800B9B922 /* Helpers */,
				3831DE3D2468C6A800D69D5A /* TodoItem.swift */,
				3831DE3E2468C6A800D69D5A /* StaticData.swift */,
				3831DE3F2468C6A800D69D5A /* ItemProviders.swift */,
				3831DE402468C6A800D69D5A /* DataCenter.swift */,
			);
			path = Model;
			sourceTree = "<group>";
		};
		3871085F2468A5A70053BC05 = {
			isa = PBXGroup;
			children = (
				3871086A2468A5A70053BC05 /* Do It */,
				387108692468A5A70053BC05 /* Products */,
			);
			sourceTree = "<group>";
		};
		387108692468A5A70053BC05 /* Products */ = {
			isa = PBXGroup;
			children = (
				387108682468A5A70053BC05 /* Do It.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		3871086A2468A5A70053BC05 /* Do It */ = {
			isa = PBXGroup;
			children = (
				3897223B2468D25000B9B922 /* Views */,
				3831DE3C2468C6A800D69D5A /* Model */,
				3871086B2468A5A70053BC05 /* AppDelegate.swift */,
				3871086D2468A5A70053BC05 /* SceneDelegate.swift */,
				3871086F2468A5A70053BC05 /* ContentView.swift */,
				389722332468CE7800B9B922 /* Resources */,
				387108732468A5A80053BC05 /* Preview Content */,
			);
			path = "Do It";
			sourceTree = "<group>";
		};
		387108732468A5A80053BC05 /* Preview Content */ = {
			isa = PBXGroup;
			children = (
				387108742468A5A80053BC05 /* Preview Assets.xcassets */,
			);
			path = "Preview Content";
			sourceTree = "<group>";
		};
		389722332468CE7800B9B922 /* Resources */ = {
			isa = PBXGroup;
			children = (
				387108712468A5A80053BC05 /* Assets.xcassets */,
				387108762468A5A80053BC05 /* LaunchScreen.storyboard */,
				387108792468A5A80053BC05 /* Info.plist */,
				389722342468CE8200B9B922 /* todo-items.json */,
			);
			path = Resources;
			sourceTree = "<group>";
		};
		389722362468D1F800B9B922 /* Helpers */ = {
			isa = PBXGroup;
			children = (
				389722372468D1F800B9B922 /* Either.swift */,
				389722382468D1F800B9B922 /* UIBackgroundTaskScheduler.swift */,
			);
			path = Helpers;
			sourceTree = "<group>";
		};
		3897223B2468D25000B9B922 /* Views */ = {
			isa = PBXGroup;
			children = (
				3897223C2468D25E00B9B922 /* TodoList.swift */,
			);
			path = Views;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		387108672468A5A70053BC05 /* Do It */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 3871087C2468A5A80053BC05 /* Build configuration list for PBXNativeTarget "Do It" */;
			buildPhases = (
				387108642468A5A70053BC05 /* Sources */,
				387108652468A5A70053BC05 /* Frameworks */,
				387108662468A5A70053BC05 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = "Do It";
			productName = "Do It";
			productReference = 387108682468A5A70053BC05 /* Do It.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		387108602468A5A70053BC05 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1150;
				LastUpgradeCheck = 1150;
				ORGANIZATIONNAME = "Pragmatic Programmers";
				TargetAttributes = {
					387108672468A5A70053BC05 = {
						CreatedOnToolsVersion = 11.5;
					};
				};
			};
			buildConfigurationList = 387108632468A5A70053BC05 /* Build configuration list for PBXProject "Do It" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 3871085F2468A5A70053BC05;
			productRefGroup = 387108692468A5A70053BC05 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				387108672468A5A70053BC05 /* Do It */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		387108662468A5A70053BC05 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				389722352468CE8200B9B922 /* todo-items.json in Resources */,
				387108782468A5A80053BC05 /* LaunchScreen.storyboard in Resources */,
				387108752468A5A80053BC05 /* Preview Assets.xcassets in Resources */,
				387108722468A5A80053BC05 /* Assets.xcassets in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		387108642468A5A70053BC05 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				389722392468D1F800B9B922 /* Either.swift in Sources */,
				3831DE422468C6A800D69D5A /* StaticData.swift in Sources */,
				3871086C2468A5A70053BC05 /* AppDelegate.swift in Sources */,
				3871086E2468A5A70053BC05 /* SceneDelegate.swift in Sources */,
				3831DE442468C6A800D69D5A /* DataCenter.swift in Sources */,
				3897223D2468D25E00B9B922 /* TodoList.swift in Sources */,
				3831DE432468C6A800D69D5A /* ItemProviders.swift in Sources */,
				3897223A2468D1F800B9B922 /* UIBackgroundTaskScheduler.swift in Sources */,
				3831DE412468C6A800D69D5A /* TodoItem.swift in Sources */,
				387108702468A5A70053BC05 /* ContentView.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		387108762468A5A80053BC05 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				387108772468A5A80053BC05 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		3871087A2468A5A80053BC05 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.5;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		3871087B2468A5A80053BC05 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.5;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		3871087D2468A5A80053BC05 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_ASSET_PATHS = "\"Do It/Preview Content\"";
				DEVELOPMENT_TEAM = 6G567CKXTY;
				ENABLE_PREVIEWS = YES;
				INFOPLIST_FILE = "Do It/Resources/Info.plist";
				IPHONEOS_DEPLOYMENT_TARGET = 13.4;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "com.pragprog.swiftui.Do-It";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		3871087E2468A5A80053BC05 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_ASSET_PATHS = "\"Do It/Preview Content\"";
				DEVELOPMENT_TEAM = 6G567CKXTY;
				ENABLE_PREVIEWS = YES;
				INFOPLIST_FILE = "Do It/Resources/Info.plist";
				IPHONEOS_DEPLOYMENT_TARGET = 13.4;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "com.pragprog.swiftui.Do-It";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		387108632468A5A70053BC05 /* Build configuration list for PBXProject "Do It" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				3871087A2468A5A80053BC05 /* Debug */,
				3871087B2468A5A80053BC05 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		3871087C2468A5A80053BC05 /* Build configuration list for PBXNativeTarget "Do It" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				3871087D2468A5A80053BC05 /* Debug */,
				3871087E2468A5A80053BC05 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 387108602468A5A70053BC05 /* Project object */;
}
